﻿/*
 * Jumbula JbForm Style on Student Area
 * Copyright © 2015 - Authors: SaJad Jafari (sajadjafari.com) at Jumbula
 */



/* ==============================================Tuitions================================================ */
.JbSection .JbForm {
    width: 500px;
    margin: 0 auto;
}

.stripe-container {
    padding: 0;
}

.error-div {
    padding: 20px 10%;
}

    .error-div > span {
        color: #F00;
        font-size: 18px;
        line-height: 25px;
        width: 100%;
        display: block;
    }
    .error-div > span.sm-font {
        font-size: 15px;
    }

.total-amount {
    padding: 5px 0;
}

    .total-amount > span:last-child {
        width: 300px;
        display: inline-block;
        border: 1px solid #ddd;
        padding: 5px;
    }

    .total-amount > span:first-child {
        display: inline-block;
        width: 150px;
        text-align: right;
        margin-right: 3px;
    }

.one-third,
.two-third {
    float: left;
}

.JbSection {
    padding: 50px 0;
}

    .JbSection .form-group {
        margin: 0;
        padding: 0 5px !important;
    }

        .JbSection .form-group:last-child {
            background-color: initial;
        }

        .JbSection .form-group > input {
            border: 1px solid #ddd;
            padding: 5px 15px;
            width: 300px;
        }

        .JbSection .form-group.two-slice > input {
            width: 143px;
        }

        .JbSection .form-group > button {
            line-height: 50px;
        }

        .JbSection .form-group > label {
            display: block;
            float: left;
            width: 100%;
            text-align: left;
        }

        .JbSection .form-group .error-message {
            display: block;
            position: relative;
        }

        .JbSection .form-group .field-validation-error {
            position: absolute;
            color: #FFF;
            top: -26px;
            right: 9px;
            float: right;
            margin-left: 6px;
            background-color: rgb(229,20,0);
            padding: 0 5px;
            box-shadow: 1px 0 10px -3px #000;
        }

            .JbSection .form-group .field-validation-error:before {
                content: '';
                width: 0;
                height: 0;
                position: absolute;
                border-left: 5px solid transparent;
                border-right: 5px solid transparent;
                border-top: 5px solid #f00;
                right: 5px;
                bottom: -5px;
            }

    .JbSection .input-control.cc-icons {
        position: relative;
    }

        .JbSection .input-control.cc-icons:after {
            content: '';
            display: block;
            width: 160px;
            height: 30px;
            position: absolute;
            top: 37px;
            right: 10px;
            background-image: url(/Images/cc_icons.png);
            background-repeat: no-repeat;
            background-position: center center;
            background-size: contain;
        }

@media(max-width: 768px) {
    .total-amount > span:last-child {
        width: 200px;
    }

    .total-amount > span:first-child,
    .JbSection .form-group > label {
        font-size: 11px;
        width: 150px;
    }

    .JbSection .form-group > input {
        width: 200px;
    }

    .JbSection .form-group.two-slice > input {
        width: 93px;
    }

    .JbSection .form-group > button {
        width: 200px;
        margin-left: 155px !important;
        font-size: 12px;
        padding: 5px;
    }

    .error-div > span {
        font-size: 14px;
    }
}
